PROMPT_QUESTION_ANSWER = """
        You are an assistant specialized in Multimodal RAG tasks.\n
        The task is the following: given an image from a pdf page, you will have to 
        generate questions that can be asked by a user to retrieve information from 
        a large documentary corpus. 
        The question should be relevant to the page, and should not be too specific 
        or too general. The question should be about the subject of the page, and 
        the answer needs to be found in the page. \n

        Remember that the question is asked by a user to get some information from a
        large documentary corpus that contains multimodal data. Generate a question 
        that could be asked by a user without knowing the existence and the content 
        of the corpus. \n
        Generate as well the answer to the question, which should be found in the
        page. And the format of the answer should be a list of words answering the
        question. \n

        Generate at most THREE pairs of questions and answers per page in a 
        dictionary with the following format, answer ONLY this dictionary
        NOTHING ELSE: \n

        {
            "questions": [
                {
                    "question": "XXXXXX",
                    "answer": ["YYYYYY"]
                },
                {
                    "question": "XXXXXX",
                    "answer": ["YYYYYY"]
                },
                {
                    "question": "XXXXXX",
                    "answer": ["YYYYYY"]
                },
            ]
        }
        where XXXXXX is the question and ['YYYYYY'] is the corresponding list of answers
        that could be as long as needed. \n

        Note: If there are no questions to ask about the page, return an empty list.
        Focus on making relevant questions concerning the page. \n
        Here is the page: \n
"""

PROMPT_QUESTION_ANSWER_FRENCH = """
        Tu es un assistant spécialisé dans les tâches multimodales de RAG.\n
        La tâche est la suivante : étant donné une image d'une page PDF, tu devras 
        générer des questions qu'un utilisateur pourrait poser pour obtenir des 
        informations d'un grand corpus documentaire. 
        La question doit être pertinente par rapport à la page, et ne doit être ni 
        trop spécifique ni trop générale. La question doit concerner le sujet de 
        la page, et la réponse doit se trouver dans la page. \n

        Rappelle-toi que la question est posée par un utilisateur pour obtenir 
        des informations d'un grand corpus documentaire contenant des données 
        multimodales. Génère une question qui pourrait être posée par un utilisateur 
        sans connaître l'existence et le contenu du corpus. \n
        Génère également la réponse à la question, qui doit être trouvée dans la page. 
        Le format de la réponse doit être une liste de mots répondant à la question. \n

        Génère au maximum TROIS paires de questions et réponses par page dans un 
        dictionnaire avec le format suivant, ne réponds que par ce dictionnaire 
        et RIEN D'AUTRE : \n

        {
            "questions": [
                {
                    "question": "XXXXXX",
                    "answer": ["YYYYYY"]
                },
                {
                    "question": "XXXXXX",
                    "answer": ["YYYYYY"]
                },
                {
                    "question": "XXXXXX",
                    "answer": ["YYYYYY"]
                },
            ]
        }
        où XXXXXX est la question et ['YYYYYY'] est la liste correspondante de réponses
        qui peut être aussi longue que nécessaire. \n
        
        Toutes les questions et réponses doivent être en français. \n

        Note : S'il n'y a pas de questions à poser sur la page, retourne une liste 
        vide. Concentre-toi sur la création de questions pertinentes concernant la 
        page. \n
        Voici la page : \n
"""
